/******************************************************************************
 * @file      protocol_mqtt_bcu.h
 * @brief     protocol_mqtt_bcu.h
 * @version   V1.0
 * @author    Gary
 * @copyright
 ******************************************************************************/
#ifndef PROTOCOL_MQTT_BCU_H_
#define PROTOCOL_MQTT_BCU_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include "cJSON.h"
#include "drv_qfc41d.h"
#include "drv_rtc.h"

typedef struct {
    const char* key;                		// JSON еļ "BCU_2"
	uint8_t groupId;						// mqttΪjsonƣڷ鴫,0ʼ
	uint16_t input;							// get_valΣڻȡkeyӦ
    uint32_t (*get_val)(uint16_t);          // ӦֵĻȡ
} devPointMap;


extern const devPointMap bms_points[];

void mqtt_publish_bms_data(uint32_t basetime);

#ifdef __cplusplus
}
#endif

#endif